Skip to content

Show a channel

GET
/v1/channels/{id}
curl --request GET \
--url http://api.disclosebot.localdev:3000/v1/channels/example \
--header 'Authorization: Bearer <token>'
id
required
string

Successful

Media type application/json
object
data
required
object
id
required
string format: uuid
type
required
string
Allowed values: channel
attributes
required
object
name
required
string
short_description
string
nullable
enabled
required
boolean
enabled_at
string format: date-time
nullable
prefilter_query

The custom pre-filter; null when the pre-filter references a saved search or there is none

object
q
object
key
additional properties
One of:
string
results
object
key
additional properties
object
key
additional properties
string
prefilter_saved_search_id

The saved search the pre-filter reads; its query applies as it is now. Never set together with prefilter_query

string format: uuid
nullable
running_version_number
integer
nullable
steps_summary
Array<string>
created_at
required
string format: date-time
updated_at
required
string format: date-time
relationships
object
organization
object
workflow
object
prefilter_saved_search
object
Example
{
"data": {
"type": "channel"
}
}

Unauthorized

Another organisation